<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch Data Homework</title>
    <style>
        .div-films{
            border: 1px solid #000;
        }
    </style>
</head>
<body>
    <div id="root">
    </div>
    <script>
        let root = document.getElementById("root");
        fetch("https://swapi.dev/api/films/")
        .then(response => response.json())
        .then(data => {
            console.log(data)
            data.results.forEach(films => {
                const createDiv = document.createElement("div");
                createDiv.classList.add("div-films");
                const {title, episode_id, opening_crawl} = films;
                const charactersArr = films.characters;
                            createDiv.insertAdjacentHTML("beforeend", `<p>Номер эпизода: ${episode_id}</p>`);
                            createDiv.insertAdjacentHTML("beforeend", `<p>Название фильма: ${title}</p>`);
                            createDiv.insertAdjacentHTML("beforeend", `<p>Краткое описание: ${opening_crawl}</p>`);
                    charactersArr.forEach(persons => {
                        fetch(`${persons}`)
                        .then(response => response.json())
                        .then(data => {
                            createDiv.insertAdjacentHTML("beforeend", `<ul id=ul><li>${data.name}</li></ul>`);
                        }); 
                });
                root.append(createDiv);           
            });
        });
    </script>
</body>
</html>